Docker Community Forums

Share and learn in the Docker community.

Changing Docker Directories

Sorry I am new to Docker. It seems Docker keeps saving files in my C:/Users//AppData directory and I get an error:

Failed to delete: C:\Users\NEKTAR~1\AppData\Local\Temp\tmpst8a43d8\algo-1-0na9p

How can I change this directory?

Thanks

Nektarios

Here is my full stack trace:

Failed to delete: C:\Users\NEKTAR~1\AppData\Local\Temp\tmpst8a43d8\algo-1-0na9p

Traceback (most recent call last):
File “C:\Program Files\Python37\lib\site-packages\sagemaker\local\image.py”, line 161, in train
_stream_output(process)
File “C:\Program Files\Python37\lib\site-packages\sagemaker\local\image.py”, line 677, in _stream_output
raise RuntimeError(“Process exited with code: %s” % exit_code)
RuntimeError: Process exited with code: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files\Python37\lib\site-packages\sagemaker\local\image.py”, line 166, in train
raise RuntimeError(msg)
RuntimeError: Failed to run: [‘docker-compose’, ‘-f’, ‘C:\Users\NEKTAR~1\AppData\Local\Temp\tmpst8a43d8\docker-compose.yaml’, ‘up’, ‘–build’, ‘–abort-on-container-exit’], Process exited with code: 1

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:/Development/Projects/DeepTradingAI/deeptradingmodels/DeepTradingEstimator.py”, line 12, in
estimator.fit()
File “C:\Program Files\Python37\lib\site-packages\sagemaker\tensorflow\estimator.py”, line 483, in fit
fit_super()
File “C:\Program Files\Python37\lib\site-packages\sagemaker\tensorflow\estimator.py”, line 462, in fit_super
super(TensorFlow, self).fit(inputs, wait, logs, job_name, experiment_config)
File “C:\Program Files\Python37\lib\site-packages\sagemaker\estimator.py”, line 494, in fit
self.latest_training_job = _TrainingJob.start_new(self, inputs, experiment_config)
File “C:\Program Files\Python37\lib\site-packages\sagemaker\estimator.py”, line 1066, in start_new
estimator.sagemaker_session.train(**train_args)
File “C:\Program Files\Python37\lib\site-packages\sagemaker\session.py”, line 590, in train
self.sagemaker_client.create_training_job(**train_request)
File “C:\Program Files\Python37\lib\site-packages\sagemaker\local\local_session.py”, line 102, in create_training_job
training_job.start(InputDataConfig, OutputDataConfig, hyperparameters, TrainingJobName)
File “C:\Program Files\Python37\lib\site-packages\sagemaker\local\entities.py”, line 96, in start
input_data_config, output_data_config, hyperparameters, job_name
File “C:\Program Files\Python37\lib\site-packages\sagemaker\local\image.py”, line 174, in train
self._cleanup(dirs_to_delete)
File “C:\Program Files\Python37\lib\site-packages\sagemaker\local\image.py”, line 597, in _cleanup
_delete_tree(container_config_path)
File “C:\Program Files\Python37\lib\site-packages\sagemaker\local\image.py”, line 723, in _delete_tree
shutil.rmtree(path)
File “C:\Program Files\Python37\lib\shutil.py”, line 516, in rmtree
return _rmtree_unsafe(path, onerror)
File “C:\Program Files\Python37\lib\shutil.py”, line 395, in _rmtree_unsafe
_rmtree_unsafe(fullname, onerror)
File “C:\Program Files\Python37\lib\shutil.py”, line 404, in _rmtree_unsafe
onerror(os.rmdir, path, sys.exc_info())
File “C:\Program Files\Python37\lib\shutil.py”, line 402, in _rmtree_unsafe
os.rmdir(path)
OSError: [WinError 145] The directory is not empty: ‘C:\Users\NEKTAR~1\AppData\Local\Temp\tmpst8a43d8\algo-1-0na9p\output’

See Data-Root here:

Plus:
https://stackoverflow.com/questions/43588935/docker-for-windows-cleanup might help…